# Poco

# template < class TArgs, class TDelegate >

# class FIFOStrategy

Library: Foundation
Package: Events
Header: Poco/FIFOStrategy.h

Deprecated. This class is deprecated and should no longer be used.

## Description

Note: As of release 1.4.2, DefaultStrategy already implements FIFO behavior, so this class is provided for backwards compatibility only.

## Inheritance

Direct Base Classes: DefaultStrategy < TArgs, TDelegate >

All Base Classes: DefaultStrategy < TArgs, TDelegate >

## Member Summary

Member Functions: operator =

## Constructors

### FIFOStrategy

FIFOStrategy();

### FIFOStrategy

FIFOStrategy(
const FIFOStrategy & s
);

## Destructor

### ~FIFOStrategy

~FIFOStrategy();

## Member Functions

### operator =

FIFOStrategy & operator = (
const FIFOStrategy & s
);